Subject: Re: [PATCH v7 3/3] [POWERPC] MPC832x_RDB: update dts to use SPI1in QE, register mmc_spi stub

From: Segher Boessenkool <[email-masked]>
Date: Sun, 2 Sep 2007 01:59:45 +0200

>>> +	par_io_config_pin(3, 13, 1, 0, 0, 0); /* !SD_CS,    O */
>>> +	par_io_config_pin(3, 14, 2, 0, 0, 0); /* SD_INSERT, I */
>>> +	par_io_config_pin(3, 15, 2, 0, 0, 0); /* SD_PROTECT,I */
>>
>> Why are you doing this here, and not in the device tree?
>
> I saw you used pio node, but later changed to make it hardcoded.  
> What's
> the reason?  IMO, device tree is used to describe the hardware 
> settings,
> pio node is a perfect match.

Not at all.  The device tree describe how the hardware _is_
set up (after firmware, bootloader etc.); now how it _should
be_ set up by the kernel.

It would make a lot of sense to do this work in the firmware
instead, but it doesn't make sense at all to put this stuff
into the device tree.

> Moreover, changing the device tree is much
> easier than changing the code.

How so?  You don't like C code?  :-)

Segher